Subject: bug#68293: closed (Re: update darktable version)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 Jan 2024 05:57:03 +0000

Your bug report

#68293: [PATCH] gnu: darktable: update to 4.6.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68293: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68293
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: update darktable version
From: John Kehayias <[email-masked]>
To: Alex Devaure <[email-masked]>
Cc: [email-masked], Vinicius Monego <[email-masked]>, [email-masked], Maxim Cournoyer <[email-masked]>, [email-masked]
Date: Thu, 25 Jan 2024 05:55:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Alex,

On Wed, Jan 24, 2024 at 06:15 PM, Alex Devaure wrote:

> Hi Maxim,
>
> Thank you for your answer. I created the issue #68293 and the
> modification is now on master branch.
> Best regards,
> Alex
>

Looks like Vinicius Monego already did the update in
9c67673d7bb9cdc43c1196b075447b57aff74039 after pushing #67719 starting
with 50731875243428cb11cc17fa712fa8079b307622.

However, both issues were left open, so I'm closing both with this message.

Sorry for any duplicated work and thanks both of you for keeping
Darktable up to date and improving it!

John

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi Alex,
>>
>> Alex Devaure <[email-masked]> writes:
>>
>>> Hi all,
>>> There is a new version of the RAW developer darktable. The patch #67719
>>> modifies the generation of it by replacing clang with gcc. The patch is
>>> not yet merged, should I base my patch (updating darktable version) to
>>> #67719?
>>
>> That'd be fine, yes.

Subject: [PATCH] gnu: darktable: update to 4.6.0
From: Alex Devaure <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 06 Jan 2024 16:52:51 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
Here is the patch for the update of darktable,
gcc is replacing clang like in issue 67719 that has
not been integrated yet.

Change-Id: Ieb1a4dc0631330501ed38c9c2d30543d99c30296
---
 gnu/packages/photo.scm | 21 +++++----------------
 1 file changed, 5 insertions(+), 16 deletions(-)

diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
index 78ae61c799..2e93d895f3 100644
--- a/gnu/packages/photo.scm
+++ b/gnu/packages/photo.scm
@@ -54,6 +54,7 @@ (define-module (gnu packages photo)
   #:use-module (gnu packages curl)
   #:use-module (gnu packages file)
   #:use-module (gnu packages freedesktop)
+  #:use-module (gnu packages gcc)
   #:use-module (gnu packages geo)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
@@ -528,7 +529,7 @@ (define-public lensfun
 (define-public darktable
   (package
     (name "darktable")
-    (version "4.4.2")
+    (version "4.6.0")
     (source
      (origin
        (method url-fetch)
@@ -536,7 +537,7 @@ (define-public darktable
              "https://github.com/darktable-org/darktable/releases/"
              "download/release-" version "/darktable-" version ".tar.xz"))
        (sha256
-        (base32 "167sdj8m3srj9h5hh9cf2kvfpp349sygkcdrfbjrqbnz9x1jh7f1"))))
+        (base32 "1hmcib37b5v8893d69i2qgvmbkmils8a0gn5dpg2462d43ijfjvj"))))
     (build-system cmake-build-system)
     (arguments
      (list
@@ -553,17 +554,6 @@ (define-public darktable
                  (string-append "\""
                                 (search-input-file inputs "/lib/libOpenCL.so")
                                 "\"")))))
-          (add-before 'configure 'prepare-build-environment
-            (lambda _
-              ;; Rawspeed fails to build with GCC due to OpenMP error:
-              ;; "undefined reference to `GOMP_loop_nonmonotonic_dynamic_next'"
-              (setenv "CC" "clang")
-              (setenv "CXX" "clang++")
-              ;; Darktable looks for opencl-c.h in the LLVM dir. Guix installs
-              ;; it to the Clang dir. We fix this by patching CMakeLists.txt.
-              (substitute* "CMakeLists.txt"
-                (("\\$\\{LLVM_INSTALL_PREFIX\\}")
-                 #$(this-package-native-input "clang")))))
           (add-before 'configure 'set-LDFLAGS
             (lambda _
               (setenv "LDFLAGS"
@@ -576,13 +566,12 @@ (define-public darktable
                   (,(string-append #$(this-package-input "gtk+")
                                    "/share/glib-2.0/schemas")))))))))
     (native-inputs
-     (list clang
-           cmocka
+     (list cmocka
            desktop-file-utils
+           gcc-13
            `(,glib "bin")
            gobject-introspection
            intltool
-           llvm                         ;should match the Clang version
            opencl-headers
            perl
            pkg-config

base-commit: 157ad70182ade608203e9c0a42fb45b022039698
-- 
2.41.0